Bug 28666 - Locale::XGettext::TT2 shows as missing in about.pl page
Summary: Locale::XGettext::TT2 shows as missing in about.pl page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-06 02:40 UTC by Mason James
Modified: 2022-03-16 12:21 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
pic (249.76 KB, image/png)
2021-07-06 02:40 UTC, Mason James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2021-07-06 02:40:50 UTC
Created attachment 122597 [details]
pic

the Locale::XGettext::TT2 perl module is installed via the debian libtemplate-plugin-gettext-perl package, but still shows as uninstalled in about.pl


# dpkg -L libtemplate-plugin-gettext-perl | grep -i tt2
/usr/bin/xgettext-tt2
/usr/share/man/man1/xgettext-tt2.1p.gz
/usr/share/man/man3/Locale::XGettext::TT2.3pm.gz
/usr/share/perl5/Locale/XGettext/TT2.pm
/usr/share/perl5/Locale/XGettext/TT2.pod
Comment 1 Jonathan Druart 2021-07-06 13:23:21 UTC
Shouldn't we search for Locale::XGettext instead?

libtemplate-plugin-gettext-perl is bringing
* /usr/share/perl5/Locale/XGettext/TT2.pm
* /usr/share/perl5/Template/Plugin/Gettext.pm

Locale::XGettext::TT does not have a specific version (either a bug or it's supposed to return the Locale::XGettext version?)

/usr/share/perl5/Locale/XGettext.pm is installed via liblocale-xgettext-perl

But Locale::XGettex is missing from cpanfile.

Not sure what to do here.
Comment 2 Jonathan Druart 2021-07-06 13:23:51 UTC
diff --git a/cpanfile b/cpanfile
index 6e13f049320..70dd516d449 100644
--- a/cpanfile
+++ b/cpanfile
@@ -144,7 +144,7 @@ recommends 'Gravatar::URL', '1.03';
 recommends 'HTTPD::Bench::ApacheBench', '0.73';
 recommends 'LWP::Protocol::https', '5.836';
 recommends 'Lingua::Ispell', '0.07';
-recommends 'Locale::XGettext::TT2', '0.7';
+recommends 'Locale::XGettext', '0.7';
 recommends 'Module::Bundled::Files', '0.03';
 recommends 'Module::Load::Conditional', '0.38';
 recommends 'Module::Pluggable', '3.9';


It makes it looks ok but feels wrong.
Comment 3 Tomás Cohen Arazi 2021-07-13 21:38:35 UTC
(In reply to Jonathan Druart from comment #2)
> diff --git a/cpanfile b/cpanfile
> index 6e13f049320..70dd516d449 100644
> --- a/cpanfile
> +++ b/cpanfile
> @@ -144,7 +144,7 @@ recommends 'Gravatar::URL', '1.03';
>  recommends 'HTTPD::Bench::ApacheBench', '0.73';
>  recommends 'LWP::Protocol::https', '5.836';
>  recommends 'Lingua::Ispell', '0.07';
> -recommends 'Locale::XGettext::TT2', '0.7';
> +recommends 'Locale::XGettext', '0.7';
>  recommends 'Module::Bundled::Files', '0.03';
>  recommends 'Module::Load::Conditional', '0.38';
>  recommends 'Module::Pluggable', '3.9';
> 
> 
> It makes it looks ok but feels wrong.

If TT2 is part of the library distribution, it is ok imho.
Comment 4 Jonathan Druart 2021-07-16 08:46:58 UTC
(In reply to Tomás Cohen Arazi from comment #3)
> (In reply to Jonathan Druart from comment #2)
> > diff --git a/cpanfile b/cpanfile
> > index 6e13f049320..70dd516d449 100644
> > --- a/cpanfile
> > +++ b/cpanfile
> > @@ -144,7 +144,7 @@ recommends 'Gravatar::URL', '1.03';
> >  recommends 'HTTPD::Bench::ApacheBench', '0.73';
> >  recommends 'LWP::Protocol::https', '5.836';
> >  recommends 'Lingua::Ispell', '0.07';
> > -recommends 'Locale::XGettext::TT2', '0.7';
> > +recommends 'Locale::XGettext', '0.7';
> >  recommends 'Module::Bundled::Files', '0.03';
> >  recommends 'Module::Load::Conditional', '0.38';
> >  recommends 'Module::Pluggable', '3.9';
> > 
> > 
> > It makes it looks ok but feels wrong.
> 
> If TT2 is part of the library distribution, it is ok imho.

See comment 2, Locale::XGettext::TT2 is brought by libtemplate-plugin-gettext-perl, not liblocale-xgettext-perl.
Comment 5 Mason James 2022-03-09 04:30:35 UTC
fixed in bug 30252
Comment 6 Mason James 2022-03-16 12:21:26 UTC
(In reply to Mason James from comment #5)
> fixed in bug 30252

closing :0)